GDB (xrefs)

Public Member Functions | List of all members
gdb.function.as_string._AsString Class Reference
Inheritance diagram for gdb.function.as_string._AsString:

## Public Member Functions
def | __init__ (self)
def | invoke (self, val)
def | __init__ (self)
def | invoke (self, val)

## Detailed Description

    Return the string representation of a value.

    Usage:
      $_as_string(value)

    Arguments:

      value: A gdb.Value.

    Returns:
      The string representation of the value.

Definition at line 19 of file as_string.py.

## Constructor & Destructor Documentation

## ◆ __init__() [1/2]

def gdb.function.as_string._AsString.__init__ | ( |  | self | ) |

Definition at line 33 of file as_string.py.

Referenced by gdb.function.as_string._AsString.__init__().

## ◆ __init__() [2/2]

def gdb.function.as_string._AsString.__init__ | ( |  | self | ) |

Definition at line 33 of file as_string.py.

References gdb.function.as_string._AsString.__init__().

## Member Function Documentation

## ◆ invoke() [1/2]

def gdb.function.as_string._AsString.invoke | ( |  | self,
|  |  | val
| ) |  |

Definition at line 36 of file as_string.py.

Referenced by gdb.function.as_string._AsString.invoke().

## ◆ invoke() [2/2]

def gdb.function.as_string._AsString.invoke | ( |  | self,
|  |  | val
| ) |  |

Definition at line 36 of file as_string.py.

References gdb.function.as_string._AsString.invoke().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/data-directory/python/gdb/function/as_string.py